#!/usr/bin/env python3
import ev3dev.ev3 as ev3

but = ev3.Button()
go_forward1 = ev3.LargeMotor('outB')
go_forward2 = ev3.LargeMotor('outC')
back_weel1 = ev3.LargeMotor('outA')
back_weel2 = ev3.LargeMotor('outD')
whiteline1 = ev3.LightSensor('in1')
whiteline2 = ev3.LightSensor('in4')

whiteline1.mode = 'REFLECT'
whiteline2.mode = 'REFLECT'


def center_click():
    go_forward1.run_timed(time_sp = 1000, speed_sp = 0)
    go_forward2.run_timed(time_sp = 1000, speed_sp = 0)
    back_weel1.run_timed(time_sp = 1000, speed_sp = 0)
    back_weel2.run_timed(time_sp = 1000, speed_sp = 0)

def right_light():
    go_forward2.run_timed(time_sp = 50, speed_sp = 700)
    back_weel2.run_timed(time_sp = 50, speed_sp = -700)
    go_forward1.run_timed(time_sp = 50, speed_sp = -700)
    back_weel1.run_timed(time_sp = 50, speed_sp = 700)
def left_light():
    go_forward2.run_timed(time_sp = 50, speed_sp = -800)
    back_weel2.run_timed(time_sp = 50, speed_sp = 800)
    go_forward1.run_timed(time_sp = 50, speed_sp = 800)
    back_weel1.run_timed(time_sp = 50, speed_sp = -800)

def up_click():
    go_forward1.run_forever(speed_sp = -200)
    go_forward2.run_forever(speed_sp = -200)
    back_weel1.run_forever(speed_sp = 200)
    back_weel2.run_forever(speed_sp = 200)


def main():
    ref1 = whiteline1.value()
    ref2 = whiteline2.value()
    if but.any:
        if but.enter:
            center_click()
        if but.up:
            up_click()
    if ref1 < 400 and ref2 > 400:
        print("left")
        left_light()
        up_click()
        
    elif ref2 < 400 and ref1 > 400:
        print("right")
        right_light()
        up_click()
while True:
    if __name__ == '__main__':
        try:  
            main()            
        except:
            print("mistake")
